## node-strftime 0.10.1+~0.9.4

=== Makefile ===
minify: real-minify test-minified

real-minify: strftime.js
	rm -f strftime-min.js
	closure <strftime.js >|strftime-min.js

test:
	TZ=America/Vancouver node test.js
	TZ=Europe/Amsterdam node test.js

test-minified: minify
	TZ=America/Vancouver node test.js ./strftime-min.js
	TZ=Europe/Amsterdam node test.js ./strftime-min.js

.PHONY: test test-minified

=== debian/changelog ===
node-strftime (0.10.1+~0.9.4-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Mon, 03 Oct 2022 09:16:44 +0200

node-strftime (0.10.1+~0.9.4-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Trim trailing whitespace
  * Use secure URI in Homepage field
  * Bump debhelper from old 11 to 13
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Update standards version to 4.6.0, no changes needed

  [ Yadd ]
  * Add "Rules-Requires-Root: no"
  * Fix filenamemangle
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * Embed typescript declarations
  * New upstream version 0.10.1+~0.9.4
  * Refresh patch

 -- Yadd <yadd@debian.org>  Wed, 22 Dec 2021 15:39:08 +0100

node-strftime (0.10.0-3) unstable; urgency=medium

  * Source-only upload after re-importing orig.tar.gz into gbp.

 -- Roland Mas <lolando@debian.org>  Thu, 11 Nov 2021 19:59:44 +0100

node-strftime (0.10.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 11 Nov 2021 19:52:38 +0100

node-strftime (0.10.0-1) unstable; urgency=medium

  * Initial release based on npm2deb template.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Sep 2021 17:27:07 +0200

=== debian/control ===
Source: node-strftime
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-strftime
Vcs-Git: https://salsa.debian.org/js-team/node-strftime.git
Homepage: https://samhuri.net/proj/strftime
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-strftime
Architecture: all
Depends: ${misc:Depends}
Provides: ${nodejs:Provides}
Description: strftime for JavaScript
 strftime for JavaScript. Works in (at least) node.js and
 specifiers from C are supported as well as some other extensions from
 browsers. Supports localization and timezones. Most standard
 Ruby.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-strftime-$1/ \
 https://github.com/samsonjs/strftime/tags .*/archive.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-strftime,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-strftime-$1/" \
 https://registry.npmjs.org/@types/strftime https://registry.npmjs.org/@types/strftime/-/strftime-([\d\.]+)@ARCHIVE_EXT@ group
